# $Revision: 1.81 $, $Date: 2012/05/21 10:35:59 $
Summary:	GNU cpio archiving program
Summary(de.UTF-8):	GNU-cpio-Archivierungsprogramm
Summary(es.UTF-8):	Programa de empaquetado cpio de la GNU (usado por el utilitario rpm)
Summary(fr.UTF-8):	Programme d'archivage cpio de GNU
Summary(pl.UTF-8):	Program archwizujący na licencji GNU
Summary(pt_BR.UTF-8):	Programa de empacotamento cpio da GNU (usado pelo utilitário rpm)
Summary(ru.UTF-8):	Архивная программа GNU
Summary(tr.UTF-8):	GNU cpio arşivleme programı
Summary(uk.UTF-8):	Архівна програма GNU
Name:		cpio
Version:	2.11
Release:	2
License:	GPL v3+
Group:		Applications/Archiving
Source0:	http://ftp.gnu.org/gnu/cpio/%{name}-%{version}.tar.bz2
# Source0-md5:	20fc912915c629e809f80b96b2e75d7d
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	027552f4053477462a09fadc162a5e65
Patch0:		%{name}-info.patch
Patch1:		%{name}-ifdef.patch
Patch2:		%{name}-crc-is-32-bit.patch
URL:		http://www.gnu.org/software/cpio/
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11.1
BuildRequires:	gettext-devel >= 0.16
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_bindir		/bin

%description
GNU cpio copies files into or out of a cpio or tar archive. Archives
are files which contain a collection of other files plus information
about them, such as their file name, owner, timestamps, and access
permissions. The archive can be another file on the disk, a magnetic
tape, or a pipe. GNU cpio supports the following archive formats:
binary, old ASCII, new ASCII, crc, HPUX binary, HPUX old ASCII, old
tar and POSIX.1 tar. By default, cpio creates binary format archives,
so that they are compatible with older cpio programs. When it is
extracting files from archives, cpio automatically recognizes which
kind of archive it is reading and can read archives created on
machines with a different byte-order.

%description -l de.UTF-8
GNU cpio kopiert Dateien in oder aus einem CPIO- oder Tar-Archiv.
Archive sind Dateien, die eine Sammlung anderer Dateien und
informationen über sie, wie Dateiname, Besitzer, Zugriffszeiten und
-berechtigungen, enthalten. Das Archiv kann eine andere Datei auf der
Festplatte sein, oder ein Streamerband, oder ein pipe. GNU cpio
unterstützt die archiv-Formate binary, old ASCII, new ASCII, crc, HPUX
binary, HPUX old ASCII, old tar und POSIX.1 tar. Standardmäßig erzeugt
cpio Archive im binary-Format, so daß sie mit älteren cpio-Programmen
kompatibel sind. Beim Extrahieren von Dateien aus Archiven erkennt
cpio das Format automatisch, es kann auch Archive lesen, die auf
Computern mit anderer Byteordnung erzeugt wurden.

%description -l es.UTF-8
cpio copia archivos para dentro o para fuera, o de un "archive" cpio o
tar, que es un archivo que contiene otros archivos, más información
sobre ellos, como su nombre de archivo, dueño y permisos de acceso.
"archive" puede ser otro archivo en el disco, una cinta magnética o un
pipe. cpio posee tres modos de operación.

%description -l fr.UTF-8
cpio copie des fichiers dans ou à partir d'une archive tar ou cpio,
qui est un fichier contenant d'autres fichiers plus des informations
sur ceux-ci, comme leur nom, leur propriétaire, la date et les
permissions. L'archive peut être un autre fichier sur le disque, une
bande ou un tube. cpio possède trois modes de fonctionnement.

%description -l pl.UTF-8
cpio kopiuje pliki do/z archiwum cpio lub tar-a, które jest
pojedynczym zbiorem zawierającym pozostałe pliki wraz z dodatkowymi
informacjami jak np. nazwa, właściciel, czas modyfikacji i prawa
dostępu. Archiwum może być plikiem na dysku, taśmie magnetycznej, albo
potokiem.

%description -l pt_BR.UTF-8
cpio copia arquivos para dentro ou para fora ou de um "archive" cpio
ou tar, que é um arquivo que contém outros arquivos mais informações
sobre eles, como o seu nome de arquivo, dono e permissões de acesso. O
"archive" pode ser outro arquivo no disco, uma fita magnética ou um
pipe. cpio possui três modos de operação.

%description -l ru.UTF-8
cpio копирует файлы в или из архива cpio или tar, который представляет
собой файл, содержащий другие файлы и информацию о них, такую как имя
файла, его хозяин, время создания, права доступа и т.д. Архивом может
быть файл, лента или пайп.

%description -l tr.UTF-8
cpio programı, cpio veya tar arşivlerinden dosya çeker ya da bu
arşivlere dosya koyar. Bu arşivler, dosyaların içeriğinden ve ayrıca
dosyanın adı, sahibi, zaman bilgileri ve erişim hakları gibi
bilgilerden oluşur. Arşiv, disk üzerinde başka bir dosya, manyetik bir
teyp veya bir pipe olabilir.

%description -l uk.UTF-8
cpio копіює файли в або з архіву cpio або tar, який являє собою файл,
що містить інші файли та інформацію про них, таку як ім'я файлу, його
власника, час створення, права доступу і т.і. Архівом може бути файл,
стрічка або пайп.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__gettextize}
%{__aclocal} -I m4 -I am
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

# in PLD rmt is built from tar.spec
%{__rm} $RPM_BUILD_ROOT%{_libdir}/rmt
%{__rm} $RPM_BUILD_ROOT%{_mandir}{,/es,/ja}/man1/mt.1*

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/cpio
%lang(es) %{_mandir}/es/man1/cpio.1*
%lang(hu) %{_mandir}/hu/man1/cpio.1*
%lang(ja) %{_mandir}/ja/man1/cpio.1*
%lang(pt_BR) %{_mandir}/pt_BR/man1/cpio.1*
%{_infodir}/cpio.info*
%{_mandir}/man1/cpio.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cpio.spec,v $
Revision 1.81  2012/05/21 10:35:59  baggins
- rel 2
- fix 7 years old bug, http://www.mail-archive.com/bug-cpio@gnu.org/msg00068.html

Revision 1.80  2011/01/29 00:06:16  sparky
- dropped pre-cvs changelog

Revision 1.79  2010/04/02 07:15:00  qboosh
- updated to 2.11
- removed locale,pl.po-update patches, added ifdef patch

Revision 1.78  2008/11/01 15:56:04  arekm
- rel 3; argp hacks to get this building

Revision 1.77  2008/04/08 08:24:51  glen
- unify ftp.gnu.org urls

Revision 1.76  2008-01-24 01:22:59  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.75  2007-09-05 12:07:53  baggins
- rel 2

Revision 1.74  2007/07/01 10:13:11  qboosh
- updated to 2.9 (GPL v3 applies)
- updated pl.po-update patch

Revision 1.73  2007/06/13 06:27:42  qboosh
- updated to 2.8
- removed obsolete CAN_2005_111,link,futimens patches
- added pl.po-update patch

Revision 1.72  2007/06/06 12:14:26  areq
- add cpio-futimens.patch (fixes build with glibc 2.6)

Revision 1.71  2007/04/26 18:57:17  qboosh
- one more CVE reference (for cpio 2.7)

Revision 1.70  2007/02/12 21:23:51  glen
- tabs in preamble

Revision 1.69  2007/02/12 00:48:43  baggins
- converted to UTF-8

Revision 1.68  2007/01/21 18:07:42  areq
- add cpio-link.patch (fix link_name) from gnu CVS

Revision 1.67  2006/10/28 21:40:00  qboosh
- updated for 2.7 [fixes CVE-2005-4268]
- updated info,locale,CAN_2005_111 patches
- removed obsolete gethostname*,lfs,pl.po-update,lstat,CAN_1999_1572,safer_name_suffix patches
- configure.ac needs gettext 0.15, but lib/inttypes_.h needs > 0.15

Revision 1.66  2006/07/30 12:48:42  sparky
- remove old gettext definitions to avoid 'undefined AM_MKINSTALLDIRS' problem

Revision 1.65  2005/10/05 10:40:13  qboosh
- added CAN reference to previous commit message

Revision 1.64  2005/09/26 23:42:55  pluto
- directory traversal vulnerability fixed (TODO removed).
[CAN-2005-1229]
- sent to builders.

Revision 1.63  2005/09/26 23:33:25  pluto
- LFS patch updated, release 4.

Revision 1.62  2005/09/26 23:29:45  pluto
- fix CAN-1999-1572 (cpio uses a 0 umask when creating files using
                     the -O (archive) or -F options, which creates
                     the files with mode 0666 and allows local users
                     to read or overwrite those files).

Revision 1.61  2005/08/25 20:50:16  darekr
- defined _bindir - use it

Revision 1.60  2005/08/08 11:37:20  baggins
- release 3
- an lstat, we need or symbolic links copy we will not

Revision 1.59  2005/07/25 13:34:37  krolik
- security fix (CAN-2005-1111)
- rel. 2, STBR

Revision 1.58  2005/06/20 09:55:40  glen
- todo security

Revision 1.57  2005/01/09 15:31:17  qboosh
- updated to 2.6
- updated gethostname_is_in_libc_aka_no_libnsl,info patches
- removed obsolete mtime,DESTDIR,pmake patches
- dropped svr4compat,man,errorcode,freebsd patches
- added lfs,pl.po-update,locale patches

Revision 1.56  2004/12/20 18:58:08  qboosh
- BR: texinfo

Revision 1.55  2004/10/12 21:36:55  mmazur
- rel 3 for th

Revision 1.54  2004/08/30 18:07:24  snurf
- typo / formatting / etc.

Revision 1.53  2003/09/03 14:41:39  mmazur
- rel 2 for ac

Revision 1.52  2003/08/06 16:50:08  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.51  2003/07/07 04:23:52  blues
- many small fixes, inspired by kloczek

Revision 1.50  2003/06/02 15:48:33  ankry
- added/restored non-english-man-pages URL

Revision 1.49  2003/05/25 11:11:21  malekith
- revert massive fsckup

Revision 1.48  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.47  2003/05/25 05:46:25  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.46  2003/05/25 00:50:34  adgor
- Sources md5

Revision 1.45  2003/03/01 10:35:52  juandon
- added pmake.patch

Revision 1.44  2002/12/24 00:26:01  qboosh
- updated Source0 URL

Revision 1.43  2002/09/02 15:28:56  kloczek
- merge translations from KSI,
- added pt_BR man page for cpio (from Conectiva resources).

Revision 1.42  2002/09/01 01:25:26  qboosh
- updated to 2.5
- removed obsolete patches: glibc,glibc21,longlongdev,emptylink,debian36,bug56346
- updated freebsd and DESTDIR patches
- added es,hu,ja man pages

Revision 1.41  2002/05/21 23:12:45  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.40  2002/04/25 16:06:54  arturs
fixed a small typo

Revision 1.39  2002/02/23 01:44:57  kloczek
- adapterized.

Revision 1.38  2002/02/22 23:28:45  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.37  2002/02/12 16:00:08  kloczek
- release 27: merge bug56346 patch from rawhide (fix up extraction of
  multiply linked files when the first link is).

Revision 1.36  2002/02/12 15:01:49  baggins
- release 26
- removed stdout patch - that was IDIOCY, pure redhat stupidity

Revision 1.35  2002/01/18 02:12:35  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.34  2001/11/23 04:51:02  kloczek
- release 25,
- merge debian36 ad freebsd patches from rawhide,
- merge translations from Conectiva.

Revision 1.33  2001/11/21 12:09:26  saq
- release 23, rebuild

Revision 1.32  2001/07/26 05:42:05  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.30  2000/10/25 05:35:43  kloczek
- release 22,
- added man patch wit beter -c option description (patch from RH),
- use new rpm automation.

Revision 1.29  2000/08/20 23:44:02  kloczek
- relaese 21.

Revision 1.28  2000/08/20 23:39:34  marcus
- added gethostname_is_in_libc_aka_no_libnsl patch - now cpio is not linked
  with libnsl.

Revision 1.27  2000/08/02 08:53:14  kloczek
- release 20,
- merged rawhide errorcode patch.

Revision 1.26  2000/06/09 07:54:40  kloczek
- more %%{__make} macros.

Revision 1.25  2000/06/09 07:22:48  kloczek
- added using %%{__make} macro.

Revision 1.24  2000/05/24 16:50:44  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.23  2000/05/18 17:35:46  kloczek
- spec adapterized.

Revision 1.22  2000/05/01 20:11:40  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.21  2000/04/01 11:14:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.20  2000/03/28 16:54:16  baggins
- translated kloczkish into english

Revision 1.19  1999/09/15 21:46:45  kloczek
- release 17,
- fix infinite loop unpacking empty files with hard links (patch emptylink
  from rawhide),
- stdout chould contain progress information (patch stdout from rawhide),
- new {un}registering procedure for info pages with using
  /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries
  format.

Revision 1.18  1999/07/12 23:05:55  kloczek
- added using CVS keywords in %changelog (for automating them).
